$alias fdopen='fdopen'(%val, %ref)
      include 'phigs.f1.h'                      ! get the HP-PHIGS aliases
      program hello_world                       ! program "hello_world.f"
      include 'phigs.f2.h'                      ! get the HP-PHIGS constants

      integer*4 WorkstnID                       ! workstation identifier
      parameter (WorkstnID=1)                   ! value chosen by the user
      integer*4 ConnID                          ! connection identifier
      integer*4 WorkstnType                     ! workstation type
      parameter (WorkstnType=POIDDX)            ! out/in, direct, dbl bfr, X
      integer*4 StructureID                     ! structure identifier
      parameter (StructureID=1)                 ! value chosen by the user
      real      AreaX(4), AreaY(4), AreaZ(4)    ! points for fill area
      data      AreaX /0.25, 0.75, 0.75, 0.25/  ! points for fill area
      data      AreaY /0.25, 0.25, 0.75, 0.75/
      data      AreaZ /0.0,  0.0,  0.0,  0.0/
      integer*4 fdopen                          ! to get file descriptor

      call popph(fdopen(fnum(7), 'w'//char(0)), 0)      ! open phigs
      call pue004('/dev/screen/phigs_window', ConnID)   ! get connection ID
      call popwk(WorkstnID, ConnID, WorkstnType)! open workstation
      call ppost(WorkstnID, StructureID, 1.)    ! mark structure for display
      !--- define the structure ----------------------------------------------
      call popst(StructureID)                   ! open structure
      call psis(PHOLLO)                         ! set interior style
      call pfa3(4, AreaX, AreaY, AreaZ)         ! fill area 3 primitive
      call pschh(0.04)                          ! set character height
      call ptx(0.3, 0.5, 'Hello World')         ! text
      call pclst                                ! close the structure
      !--- display the structure ---------------------------------------------
      call ppost(WorkstnID, StructureID, 1.0)   ! post structure
      call puwk(WorkstnID, PPERFO)              ! update workstation
      call puwk(WorkstnID, PPERFO)              ! update the workstation
      call pclwk(WorkstnID)                     ! close workstation
      call pclph                                ! close phigs
      stop                                      ! stop processing
      end                                       ! end of program
